Bug 1130404 - NullPointerException in ActivationTimerInputMarshaller.deserialize()
Summary: NullPointerException in ActivationTimerInputMarshaller.deserialize()
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER2
: 6.1.0
Assignee: Mario Fusco
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks: 1130405
TreeView+ depends on / blocked
 
Reported: 2014-08-15 07:12 UTC by Toshiya Kobayashi
Modified: 2018-12-06 17:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1130405 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-576 Major Resolved NullPointerException in ActivationTimerInputMarshaller.deserialize() 2016-06-30 19:47:23 UTC

Description Toshiya Kobayashi 2014-08-15 07:12:25 UTC
Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-576

Steps to Reproduce:
1. See a unit test in a pull request https://github.com/droolsjbpm/drools/pull/371

Actual results:

Throws NullPointerException at org.drools.core.common.Scheduler$ActivationTimerInputMarshaller.deserialize()

Expected results:

ksession is successfully loaded. The timer can be ignored.

Comment 1 JBoss JIRA Server 2014-10-30 10:19:23 UTC
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-576 to Resolved

Comment 2 Mario Fusco 2014-10-30 10:19:43 UTC
Fixed by https://github.com/droolsjbpm/drools/compare/ca8abb8...3b42da0

Comment 3 Marek Winkler 2014-12-09 11:23:27 UTC
Verified on BRMS 6.1.0 ER2.


Note You need to log in before you can comment on or make changes to this bug.